# QueryAttribute

class `openff.evaluator.storage.attributes.``QueryAttribute`(docstring, type_hint, optional=False, custom_match=False)

  A descriptor used to add additional metadata to attributes of a storage query.

  `__init__`(docstring, type_hint, optional=False, custom_match=False)

    Initializes self.

    Parameters

      custom_match (bool) – Whether a custom behaviour will be implemented when matching this attribute against the matching data object attribute.

  Methods

  `__init__`(docstring, type_hint[, optional, …]) | Initializes self.